Skip to main content
`Ctrl`+`K`

# RotationSequence3D

class astropy.modeling.rotations.RotationSequence3D(angles, axes_order, name=None)

  Bases: `Model`

  Perform a series of rotations about different axis in 3D space.

  Positive angles represent a counter-clockwise rotation.

  Parameters:
    angles numpy:array_like

      Angles of rotation in deg in the order of axes_order.

    axes_order `python:str`

      A sequence of ‘x’, ‘y’, ‘z’ corresponding to axis of rotation.

  Examples

      >>> model = RotationSequence3D([1.1, 2.1, 3.1, 4.1], axes_order='xyzx')

  Attributes Summary

  `angles` |
  `n_inputs` |
  `n_outputs` |
  `param_names` | Names of the parameters that describe models of this type.
  `standard_broadcasting` |

  Methods Summary

  `__call__`(*inputs[, model_set_axis, ...]) | Evaluate this model using the given input(s) and the parameter values that were specified when the model was instantiated.
  `evaluate`(x, y, z, angles) | Apply the rotation to a set of 3D Cartesian coordinates.

  Attributes Documentation

  angles = Parameter('angles', value=[])
  n_inputs = 3
  n_outputs = 3
  param_names = ('angles',)

    Names of the parameters that describe models of this type.

    The parameters in this tuple are in the same order they should be passed in when initializing a model of a specific type. Some types of models, such as polynomial models, have a different number of parameters depending on some other property of the model, such as the degree.

    When defining a custom model class the value of this attribute is automatically set by the `Parameter` attributes defined in the class body.

  standard_broadcasting = False

  Methods Documentation

  __call__(*inputs, model_set_axis=None, with_bounding_box=False, fill_value=nan, equivalencies=None, inputs_map=None, **new_inputs)

    Evaluate this model using the given input(s) and the parameter values that were specified when the model was instantiated.

  evaluate(x, y, z, angles)

    Apply the rotation to a set of 3D Cartesian coordinates.